import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';

class ItemInfoExt extends ItemInfo implements DObjectBase {
    int itemIds;

    int peerUserids;


    String getRType() {
        return r'com.alibaba.idlefish.content.ItemInfoExt';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        super.fromJson(json, genericNewMap: null);

        //从Map转成对象的实现
        itemIds = JsonUtil.parseInt(json['itemIds']);
        peerUserids = JsonUtil.parseInt(json['peerUserids']);
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        val.addAll(super.toHessianJson());

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemIds', makePair(itemIds,7));
        writeNotNull('peerUserids', makePair(peerUserids,7));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        dynamic superVal = super.toJson();
        if (superVal != null && superVal is Map<String, dynamic>) {
            val.addAll(superVal);
        }

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemIds', itemIds);
        writeNotNull('peerUserids', peerUserids);
        return val;
    }
}
