import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_req.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';

class ItemInfoListRes implements DObjectBase {
    String res;

    Map<String, ItemInfoReq> reqMap;

    Set<String> needDecryptKeys;

    List<ItemInfo> items;


    String getRType() {
        return r'com.alibaba.idlefish.content.ItemInfoListRes';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        res = JsonUtil.parseString(json['res']);
        reqMap = json['reqMap'] == null ? null : (new Map<String, ItemInfoReq>.fromIterables((json['reqMap'] as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(json['reqMap'] as Map).values.map((dynamic e) => e == null ? null : (new ItemInfoReq()..fromJson(e as Map, genericNewMap: null)))?.toList()));
        needDecryptKeys = (json['needDecryptKeys'] as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toSet();
        items = (json['items'] as List)?.map((dynamic e) => e == null ? null : (new ItemInfo()..fromJson(e as Map, genericNewMap: null)))?.toList();
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('res', makePair(res,14));
        writeNotNull('reqMap', makePairMap(reqMap == null ? null : new Map.fromIterables(reqMap.keys.map((String e) => e?.toString()).toList(), reqMap.values.map((ItemInfoReq e) => makePair(e?.toHessianJson(),r'com.alibaba.idlefish.content.ItemInfoReq')).toList()),18,14));
        writeNotNull('needDecryptKeys', makePair(needDecryptKeys == null ? null : needDecryptKeys.map((String e) => makePair(e,14)).toList(),17));
        writeNotNull('items', makePair(items == null ? null : items.map((ItemInfo e) => makePair(e?.toHessianJson(),r'com.alibaba.idlefish.content.ItemInfo')).toList(),15));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('res', res);
        writeNotNull('reqMap', makePairMapJson(reqMap == null ? null : new Map.fromIterables(reqMap.keys.map((String e) => e?.toString()).toList(), reqMap.values.map((ItemInfoReq e) => makePairJson(e?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq')).toList()),18,14));
        writeNotNull('needDecryptKeys', makePairJson(needDecryptKeys == null ? null : needDecryptKeys.map((String e) => e).toList(),17));
        writeNotNull('items', makePairJson(items == null ? null : items.map((ItemInfo e) => makePairJson(e?.toJson(),r'com.alibaba.idlefish.content.ItemInfo')).toList(),15));
        return val;
    }
}
