import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';

class ItemInfoReqExt implements DObjectBase {
    static const String API_INFO_NAME = 'mtop.alibaba.idlefish.item.detailquery';

    static const String API_INFO_VERSION = '1.0';

    static const bool API_INFO_NEED_AUTH = false;

    int itemId;

    int peerUserid;

    bool flag;

    ItemInfo item;


    String getRType() {
        return r'com.alibaba.idlefish.content.ItemInfoReqExt';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        itemId = JsonUtil.parseInt(json['itemId']);
        peerUserid = JsonUtil.parseInt(json['peerUserid']);
        flag = JsonUtil.parseBool(json['flag']);
        item = json['item'] == null ? null : (new ItemInfo()..fromJson(json['item'] as Map, genericNewMap: null));
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemId', makePair(itemId,7));
        writeNotNull('peerUserid', makePair(peerUserid,7));
        writeNotNull('flag', makePair(flag,2));
        writeNotNull('item', makePair(item?.toHessianJson(),r'com.alibaba.idlefish.content.ItemInfo'));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('itemId', itemId);
        writeNotNull('peerUserid', peerUserid);
        writeNotNull('flag', flag);
        writeNotNull('item', makePairJson(item?.toJson(),r'com.alibaba.idlefish.content.ItemInfo'));
        return val;
    }
}
