import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';

class ItemInfoRes implements DObjectBase {
    String res;

    Set<String> needDecryptKeys;

    bool testmain;

    ItemInfo item;


    String getRType() {
        return r'com.alibaba.idlefish.content.ItemInfoRes';
    }

    @override
    void fromJson(Map<dynamic, dynamic> json, {Map<String, generic_new_func> genericNewMap}) {
        //从Map转成对象的实现
        res = JsonUtil.parseString(json['res']);
        needDecryptKeys = (json['needDecryptKeys'] as List)?.map((dynamic e) => JsonUtil.parseString(e))?.toSet();
        testmain = JsonUtil.parseBool(json['testmain']);
        item = json['item'] == null ? null : (new ItemInfo()..fromJson(json['item'] as Map, genericNewMap: null));
    }

    @override
    Map<String, dynamic> toHessianJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('res', makePair(res,14));
        writeNotNull('needDecryptKeys', makePair(needDecryptKeys == null ? null : needDecryptKeys.map((String e) => makePair(e,14)).toList(),17));
        writeNotNull('testmain', makePair(testmain,2));
        writeNotNull('item', makePair(item?.toHessianJson(),r'com.alibaba.idlefish.content.ItemInfo'));
        return val;
    }

    @override
    dynamic toJson() {
        Map<String, dynamic> val = {};

        void writeNotNull(String key, dynamic value) {
          if (value != null) {
            val[key] = value;
          }
        }

        writeNotNull('res', res);
        writeNotNull('needDecryptKeys', makePairJson(needDecryptKeys == null ? null : needDecryptKeys.map((String e) => e).toList(),17));
        writeNotNull('testmain', testmain);
        writeNotNull('item', makePairJson(item?.toJson(),r'com.alibaba.idlefish.content.ItemInfo'));
        return val;
    }
}
