import 'dart:async';
import 'dart:convert';
import 'package:saker/framework/hsf/hsf_object_base.dart';
import 'package:saker/framework/jproxy/proxy_rpc_base.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_ext.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_res.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_list_res.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/net_item_req.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_req.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_info_req_ext.dart';
import 'package:item_test/domains/com/alibaba/idlefish/content/item_error_code.dart';

class ItemTest {
    static Future<ItemInfo> getItemInfoExtList2_9ac1(ItemInfoReq arg0, ItemInfoReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoExtList2_9ac1', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfo _data = _resultMap['Res'] == null ? null : (new ItemInfo()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfo> getItemInfoExtList3_9ac1(ItemInfoReq arg0, ItemInfoReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoExtList3_9ac1', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfo _data = _resultMap['Res'] == null ? null : (new ItemInfo()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoExt> getItemInfoExtList_9ac1(ItemInfoReq arg0, ItemInfoReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoExtList_9ac1', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoExt _data = _resultMap['Res'] == null ? null : (new ItemInfoExt()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList2_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList2_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList3_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList3_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList4_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList4_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList5_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList5_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList6_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList6_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoListX_5140(ItemInfoReq arg0, int arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoListX_5140', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfoList_9ac1(ItemInfoReq arg0, ItemInfoReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfoList_9ac1', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoRes> getItemInfo_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfo_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoRes _data = _resultMap['Res'] == null ? null : (new ItemInfoRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfo_ab41(ItemInfoReqExt arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReqExt');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfo_ab41', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getItemInfo_ea41(ItemInfoReq arg0, int arg1, bool arg2, Map<String, ItemInfoReq> arg3, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        _paramsMap["arg1"] = arg1;
        _paramsMap["arg2"] = arg2;
        _paramsMap["arg3"] = makePairMapJson(arg3 == null ? null : new Map.fromIterables(arg3.keys.map((String e) => e?.toString()).toList(), arg3.values.map((ItemInfoReq e) => makePairJson(e?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq')).toList()),18,14);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfo_ea41', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoRes> getItemInfo_ff01(int arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfo_ff01', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoRes _data = _resultMap['Res'] == null ? null : (new ItemInfoRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<List<ItemInfo>> getItemInfos_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemInfos_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<ItemInfo> _data = (_resultMap['Res'] as List)?.map((dynamic e) => e == null ? null : (new ItemInfo()..fromJson(e as Map, genericNewMap: null)))?.toList();
        return _data;
    }

    static Future<ItemInfoReq> getItemReq_2200(int arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getItemReq_2200', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoReq _data = _resultMap['Res'] == null ? null : (new ItemInfoReq()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoListRes> getReplyItemListRes_f9c1(ItemInfoListRes arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoListRes');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getReplyItemListRes_f9c1', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoListRes _data = _resultMap['Res'] == null ? null : (new ItemInfoListRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoReq> getReplyItemReq_1540(ItemInfoReq arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getReplyItemReq_1540', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoReq _data = _resultMap['Res'] == null ? null : (new ItemInfoReq()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<ItemInfoRes> getReplyItemRes_8581(ItemInfoRes arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemInfoRes');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getReplyItemRes_8581', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemInfoRes _data = _resultMap['Res'] == null ? null : (new ItemInfoRes()..fromJson(_resultMap['Res'] as Map, genericNewMap: null));
        return _data;
    }

    static Future<List<int>> getSimpleList_8341(List<int> arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((int e) => e).toList(),15);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimpleList_8341', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<Map<String, String>> getSimpleMap_9741(Map<String, String> arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairMapJson(arg0 == null ? null : new Map.fromIterables(arg0.keys.map((String e) => e?.toString()).toList(), arg0.values.map((String e) => e).toList()),18,14);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimpleMap_9741', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        Map<String, String> _data = _resultMap['Res'] == null ? null : (new Map<String, String>.fromIterables((_resultMap['Res'] as Map).keys.map((mkeyval) => JsonUtil.parseString(mkeyval))?.toList(),(_resultMap['Res'] as Map).values.map((dynamic e) => JsonUtil.parseString(e))?.toList()));
        return _data;
    }

    static Future<Set<int>> getSimpleSet_c741(Set<int> arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((int e) => e).toList(),17);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimpleSet_c741', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        Set<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toSet();
        return _data;
    }

    static Future<List<int>> getSimple_0(double arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_0', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<List<int>> getSimple_140(double arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_140', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<List<int>> getSimple_1a40(int arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_1a40', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<List<int>> getSimple_1b00(int arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_1b00', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<List<List<int>>> getSimple_280(List<List<int>> arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((List<int> e) => makePairJson(e == null ? null : e.map((int e) => e).toList(),16)).toList(),16);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_280', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<List<int>> _data = (_resultMap['Res'] as List)?.map((dynamic e) => (e as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList())?.toList();
        return _data;
    }

    static Future<List<int>> getSimple_2940(int arg0, int arg1, int arg2, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        _paramsMap["arg2"] = arg2;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_2940', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<List<int>> getSimple_4380(List<int> arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0 == null ? null : arg0.map((int e) => e).toList(),16);
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_4380', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<int> getSimple_8081(int arg0, bool arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = arg1;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_8081', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        int _data = JsonUtil.parseInt(_resultMap['Res']);
        return _data;
    }

    static Future<List<int>> getSimple_ff01(int arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'getSimple_ff01', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        List<int> _data = (_resultMap['Res'] as List)?.map((dynamic e) => JsonUtil.parseInt(e))?.toList();
        return _data;
    }

    static Future<String> testEnum2_2200(String arg0, NetItemReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.NetItemReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'testEnum2_2200', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        String _data = JsonUtil.parseString(_resultMap['Res']);
        return _data;
    }

    static Future<ItemErrorCode> testEnum2_9481(String arg0, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = arg0;
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'testEnum2_9481', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemErrorCode _data = _resultMap['Res'] == null ? null : (new ItemErrorCode()..fromJson(_resultMap['Res'] is Map ? _resultMap['Res'] as Map : {'name': _resultMap['Res']}, genericNewMap: null));
        return _data;
    }

    static Future<ItemErrorCode> testEnum_56c0(ItemErrorCode arg0, NetItemReq arg1, {Duration gRpcTimeOut:defaultRpcTimeOut}) async {;
        Map<String, dynamic> _paramsMap = {};
        _paramsMap["arg0"] = makePairJson(arg0?.toJson(),r'com.alibaba.idlefish.content.ItemErrorCode');
        _paramsMap["arg1"] = makePairJson(arg1?.toJson(),r'com.alibaba.idlefish.content.NetItemReq');
        String _params = json.encode(_paramsMap);

        var _result = await ProxyRpcBase.getInstance().call('itemTestBeanPlugin', 'testEnum_56c0', _params, rpcTimeout:gRpcTimeOut);

        if (_result == null || !_result.success || _result.data == null) {
            return null;
        }

        Map<String, dynamic>  _resultMap = json.decode(_result.data) as Map<String, dynamic>;
        ItemErrorCode _data = _resultMap['Res'] == null ? null : (new ItemErrorCode()..fromJson(_resultMap['Res'] is Map ? _resultMap['Res'] as Map : {'name': _resultMap['Res']}, genericNewMap: null));
        return _data;
    }

}
